import {schema} from "../schemata/SchemaData";
import {EmpathyGroup, EmpathyGroupJTD} from "./EmpathyGroup";

export interface EmpathyGuide {
    readonly feelings?: {
        readonly pleasant?: readonly EmpathyGroup[]
        readonly unpleasant?: readonly EmpathyGroup[]
    }
    readonly needs?: readonly EmpathyGroup[]
}

export type EmpathyGuideJTD = typeof EmpathyGuideJTD
export const EmpathyGuideJTD = schema({
    schema: {
        optionalProperties: {
            feelings: {
                optionalProperties: {
                    pleasant: {
                        elements: EmpathyGroupJTD.reference
                    },
                    unpleasant: {
                        elements: EmpathyGroupJTD.reference
                    }
                }
            },
            needs: {
                elements: EmpathyGroupJTD.reference
            }
        }
    },
    typeHint: null as EmpathyGuide | null,
    key: "empathyGuide",
    references: [EmpathyGroupJTD],
})

